ru.bitel.bgbilling.modules.inet.accounting.event

## Class InetAccountingManageEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.event.InetAccountingManageEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetAccountingManageEvent
      extends QueueEvent

  Событие (команда) о том что нужно начать/остановить сессию.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_START`
    `static int` | `TYPE_STOP`
    `static int` | `TYPE_UPDATE`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetAccountingManageEvent()`
    `` | `InetAccountingManageEvent(int moduleId, int contractId, int userId, int accountingRootDeviceId, InetConnection connection, int type, long timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetConnection` | `getConnection()`
    `long` | `getTimeout()`
    `int` | `getType()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setConnection(InetConnection connection)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_START

          public static final int TYPE_START

      See Also:
        Constant Field Values

    - #### TYPE_STOP

          public static final int TYPE_STOP

      See Also:
        Constant Field Values

    - #### TYPE_UPDATE

          public static final int TYPE_UPDATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InetAccountingManageEvent

          protected InetAccountingManageEvent()

    - #### InetAccountingManageEvent

          public InetAccountingManageEvent(int moduleId,
                                           int contractId,
                                           int userId,
                                           int accountingRootDeviceId,
                                           InetConnection connection,
                                           int type,
                                           long timeout)

  - ### Method Detail

    - #### getConnection

          public InetConnection getConnection()

    - #### setConnection

          public void setConnection(InetConnection connection)

    - #### getType

          public int getType()

    - #### getTimeout

          public long getTimeout()

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`